Send Xml Message
curl --request POST \
--url https://{host}/Agent/Xmpp/SendXmlMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '
{
"to": "<string>",
"xml": "<string>",
"subject": "<string>",
"language": "<string>",
"id": "<string>"
}
'import requests
url = "https://{host}/Agent/Xmpp/SendXmlMessage"
payload = {
"to": "<string>",
"xml": "<string>",
"subject": "<string>",
"language": "<string>",
"id": "<string>"
}
headers = {
"Referer": "<referer>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Referer: '<referer>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: '<string>',
xml: '<string>',
subject: '<string>',
language: '<string>',
id: '<string>'
})
};
fetch('https://{host}/Agent/Xmpp/SendXmlMessage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": true,
"id": "<string>"
}XMPP messaging
Send Xml Message
Allows the client to send a custom XML normal message from its account to an XMPP recipient.
POST
/
Agent
/
Xmpp
/
SendXmlMessage
Send Xml Message
Overview
Allows the client to send a custom XML normal message from its account to an XMPP recipient.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your application's HTTPS URL, for example https://app.example.com/. Include this header on every Agent API request, including backend calls, login, and account creation. Browser clients must use a referrer policy that sends the application origin. See /neuron-api/api-basics#required-referer-header.